
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【BZOJ1036】[ZJOI2008]树的统计Count 树链剖分 / 憋错料</title>

    <meta name="description" content="【BZOJ1036】[ZJOI2008]树的统计Count 树链剖分 [BZOJ1036][ZJOI2008]树的统计Count Description 一棵树上有n个节点,编号分别为1到n,每个节点都有一个权值w.我们将以下面的形式来要求你对这棵树完成一些操作: I. CHANGE u t : 把结点u的权值改为t II. QMAX u v: 询问从点u到点v的路径上的节点的最大权值 III. QSUM u v: 询问从点u到点v的路径上的节点的权值和 注意:从点u到点v的路径上的节点包括u和v本身 Input 输入的第一行为一个整数n,表示节点的个数.接下来n">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">【BZOJ1036】[ZJOI2008]树的统计Count 树链剖分</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>【BZOJ1036】[ZJOI2008]树的统计Count</h2>
<h2>Description</h2>
<p>一棵树上有n个节点，编号分别为1到n，每个节点都有一个权值w。我们将以下面的形式来要求你对这棵树完成一些操作： I. CHANGE u t : 把结点u的权值改为t II. QMAX u v: 询问从点u到点v的路径上的节点的最大权值 III. QSUM u v: 询问从点u到点v的路径上的节点的权值和 注意：从点u到点v的路径上的节点包括u和v本身</p>
<h2>Input</h2>
<p>输入的第一行为一个整数n，表示节点的个数。接下来n – 1行，每行2个整数a和b，表示节点a和节点b之间有一条边相连。接下来n行，每行一个整数，第i行的整数wi表示节点i的权值。接下来1行，为一个整数q，表示操作的总数。接下来q行，每行一个操作，以“CHANGE u t”或者“QMAX u v”或者“QSUM u v”的形式给出。 对于100％的数据，保证1&lt;=n&lt;=30000，0&lt;=q&lt;=200000；中途操作中保证每个节点的权值w在-30000到30000之间。</p>
<h2>Output</h2>
<p>对于每个“QMAX”或者“QSUM”的操作，每行输出一个整数表示要求输出的结果。</p>
<h2>Sample Input</h2>
<p>4<br />1 2<br />2 3<br />4 1<br />4 2 1 3<br />12<br />QMAX 3 4<br />QMAX 3 3<br />QMAX 3<br />
2<br />QMAX 2 3<br />QSUM 3 4<br />QSUM 2 1<br />CHANGE 1 5<br />QMAX 3 4<br />CHANGE 3<br />
6<br />QMAX 3 4<br />QMAX 2 4<br />QSUM 3 4</p>
<h2>Sample Output</h2>
<p>4<br />1<br />2<br />2<br />10<br />6<br />5<br />6<br />5<br />16</p>
<p><strong>题解</strong>：树链剖分+线段树模板题。</p>
<pre>#include &lt;stdio.h&gt;
#include &lt;string.h&gt;
#include &lt;iostream&gt;
#define lson x&lt;&lt;1
#define rson x&lt;&lt;1|1
using namespace std;
const int maxn=30010;
int n,cnt,m,tot;
int sm[maxn&lt;&lt;2],ss[maxn&lt;&lt;2];
int fa[maxn],top[maxn],deep[maxn],size[maxn],son[maxn],p[maxn],v[maxn];
int next[maxn&lt;&lt;1],to[maxn&lt;&lt;1],head[maxn];
char str[20];
int readin()
{
    int ret=0,f=1;    char gc;
    while(gc&lt;‘0‘||gc&gt;‘9‘)    f=(gc==‘-‘)?-1:1,gc=getchar();
    while(gc&gt;=‘0‘&amp;&amp;gc&lt;=‘9‘)    ret=ret*10+gc-‘0‘,gc=getchar();
    return ret*f;
}
void add(int a,int b)
{
    to[cnt]=b;
    next[cnt]=head[a];
    head[a]=cnt++;
}
void dfs1(int x)
{
    size[x]=1;
    for(int i=head[x];i!=-1;i=next[i])
    {
        if(to[i]!=fa[x])
        {
            fa[to[i]]=x;    deep[to[i]]=deep[x]+1;
            dfs1(to[i]);
            size[x]+=size[to[i]];
            if(size[to[i]]&gt;size[son[x]])    son[x]=to[i];
        }
    }
}
void dfs2(int x,int tp)
{
    top[x]=tp;
    p[x]=++tot;
    if(son[x])    dfs2(son[x],tp);
    for(int i=head[x];i!=-1;i=next[i])
        if(to[i]!=son[x]&amp;&amp;to[i]!=fa[x])
            dfs2(to[i],to[i]);
}
void pushup(int x)
{
    ss[x]=ss[lson]+ss[rson];
    sm[x]=max(sm[lson],sm[rson]);
}
void build(int l,int r,int x)
{
    if(l==r)
    {
        sm[x]=ss[x]=v[l];
        return ;
    }
    int mid=l+r&gt;&gt;1;
    build(l,mid,lson),build(mid+1,r,rson);
    pushup(x);
}
void updata(int l,int r,int x,int y,int z)
{
    if(l==r)
    {
        ss[x]=sm[x]=z;
        return ;
    }
    int mid=l+r&gt;&gt;1;
    if(y&lt;=mid)    updata(l,mid,lson,y,z);
    else    updata(mid+1,r,rson,y,z);
    pushup(x);
}
int qmax(int l,int r,int x,int a,int b)
{
    if(a&lt;=l&amp;&amp;r&lt;=b)    return sm[x];
    int mid=l+r&gt;&gt;1;
    if(b&lt;=mid)    return qmax(l,mid,lson,a,b);
    if(a&gt;mid)    return qmax(mid+1,r,rson,a,b);
    return max(qmax(l,mid,lson,a,b),qmax(mid+1,r,rson,a,b));
}
int qsum(int l,int r,int x,int a,int b)
{
    if(a&lt;=l&amp;&amp;r&lt;=b)    return ss[x];
    int mid=l+r&gt;&gt;1;
    if(b&lt;=mid)    return qsum(l,mid,lson,a,b);
    if(a&gt;mid)    return qsum(mid+1,r,rson,a,b);
    return qsum(l,mid,lson,a,b)+qsum(mid+1,r,rson,a,b);
}
void getmax(int x,int y)
{
    int ans=-1&lt;&lt;30;
    while(top[x]!=top[y])
    {
        if(deep[top[x]]&lt;deep[top[y]])    swap(x,y);
        ans=max(ans,qmax(1,n,1,p[top[x]],p[x]));
        x=fa[top[x]];
    }
    if(deep[x]&gt;deep[y])    swap(x,y);
    ans=max(ans,qmax(1,n,1,p[x],p[y]));
    printf("%d\n",ans);
}
void getsum(int x,int y)
{
    int ans=0;
    while(top[x]!=top[y])
    {
        if(deep[top[x]]&lt;deep[top[y]])    swap(x,y);
        ans+=qsum(1,n,1,p[top[x]],p[x]);
        x=fa[top[x]];
    }
    if(deep[x]&gt;deep[y])    swap(x,y);
    ans+=qsum(1,n,1,p[x],p[y]);
    printf("%d\n",ans);
}
int main()
{
    n=readin();
    int i,a,b;
    memset(head,-1,sizeof(head));
    for(i=1;i&lt;n;i++)
    {
        a=readin(),b=readin();
        add(a,b),add(b,a);
    }
    deep[1]=1;
    dfs1(1);
    dfs2(1,1);
    for(i=1;i&lt;=n;i++)    v[p[i]]=readin();
    build(1,n,1);
    m=readin();
    for(i=1;i&lt;=m;i++)
    {
        scanf("%s",str);
        a=readin(),b=readin();
        switch(str[1])
        {
            case ‘H‘:updata(1,n,1,p[a],b);    break;
            case ‘M‘:getmax(a,b);    break;
            case ‘S‘:getsum(a,b);    break;
        }
    }
    return 0;
}</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 12:52:19 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/script/" title="script">script</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/input/" title="input">input</a>, <a href="https://www.biecuoliao.com/tag/main/" title="main">main</a>, <a href="https://www.biecuoliao.com/tag/amp/" title="amp">amp</a>, <a href="https://www.biecuoliao.com/tag/sum/" title="sum">sum</a>, <a href="https://www.biecuoliao.com/tag/max/" title="max">max</a>, <a href="https://www.biecuoliao.com/tag/mem/" title="mem">mem</a>, <a href="https://www.biecuoliao.com/tag/swa/" title="swa">swa</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>【BZOJ1036】[ZJOI2008]树的统计Count 树链剖分的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0Kd2Ym3.html" rel="bookmark">HYSBZ - 1036 树的统计Count 树链剖分 求和&plus;最大值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				好水0.0 #include&lt;cstdio&gt; #include&lt;cstring&gt; #include&lt;cmath&gt; #include&lt;iostream&gt; #include&lt;algorithm&gt; #include&lt;set&gt; #include&lt;map&gt; #include&lt;queue&gt; #include&lt;vector&gt; #include&lt;string&gt; #define eps 1e-12 #de			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bd5694.html" rel="bookmark">bzoj1036  &lbrack;ZJOI2008&rsqb;树的统计Count 树链剖分模板题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[ZJOI2008]树的统计Count Description 一棵树上有n个节点,编号分别为1到n,每个节点都有一个权值w.我们将以下面的形式来要求你对这棵树完成 一些操作: I. CHANGE u t : 把结点u的权值改为t II. QMAX u v: 询问从点u到点v的路径上的节点的最大权值 I II. QSUM u v: 询问从点u到点v的路径上的节点的权值和 注意:从点u到点v的路径上的节点包括u和v本身 Input 输入的第一行为一个整数n,表示节点的个数.接下来n – 1行,每行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mz8ojk3.html" rel="bookmark">BZOJ1036&colon; &lbrack;ZJOI2008&rsqb;树的统计Count - 树链剖分 -</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1036: [ZJOI2008]树的统计Count Description 一棵树上有n个节点,编号分别为1到n,每个节点都有一个权值w.我们将以下面的形式来要求你对这棵树完成一些操作: I. CHANGE u t : 把结点u的权值改为t II. QMAX u v: 询问从点u到点v的路径上的节点的最大权值 III. QSUM u v: 询问从点u到点v的路径上的节点的权值和 注意:从点u到点v的路径上的节点包括u和v本身 Input 输入的第一行为一个整数n,表示节点的个数.接下来n – 1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/B0RKJP3.html" rel="bookmark">BZOJ 1036&colon; &lbrack;ZJOI2008&rsqb;树的统计Count &lpar;树链剖分模板题&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1036: [ZJOI2008]树的统计Count Time Limit: 10 Sec  Memory Limit: 162 MBSubmit: 14982  Solved: 6081[Submit][Status][Discuss] Description 一棵树上有n个节点,编号分别为1到n,每个节点都有一个权值w.我们将以下面的形式来要求你对这棵树完成一些操作: I. CHANGE u t : 把结点u的权值改为t II. QMAX u v: 询问从点u到点v的路径上的节点的最大权值 I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Q0xKmLM.html" rel="bookmark">BZOJ 1036&colon; &lbrack;ZJOI2008&rsqb;树的统计Count &lbrack;树链剖分&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1036: [ZJOI2008]树的统计Count Time Limit: 10 Sec  Memory Limit: 162 MBSubmit: 14302  Solved: 5779[Submit][Status][Discuss] Description 一棵树上有n个节点,编号分别为1到n,每个节点都有一个权值w.我们将以下面的形式来要求你对这棵树完成一些操作: I. CHANGE u t : 把结点u的权值改为t II. QMAX u v: 询问从点u到点v的路径上的节点的最大权值 I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVw75w0.html" rel="bookmark">BZOJ 1036 &lbrack;ZJOI2008&rsqb;树的统计Count &lpar;树链剖分&rpar;（线段树单点修改）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[ZJOI2008]树的统计Count Time Limit: 10 Sec  Memory Limit: 162 MBSubmit: 14968  Solved: 6079[Submit][Status][Discuss] Description 一棵树上有n个节点,编号分别为1到n,每个节点都有一个权值w.我们将以下面的形式来要求你对这棵树完成 一些操作: I. CHANGE u t : 把结点u的权值改为t II. QMAX u v: 询问从点u到点v的路径上的节点的最大权值 I II.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qDov90.html" rel="bookmark">bzoj 1036 &lbrack;ZJOI2008&rsqb;树的统计Count 树链剖分模板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1036: [ZJOI2008]树的统计Count Time Limit: 10 Sec  Memory Limit: 162 MBSubmit: 18615  Solved: 7598[Submit][Status][Discuss] Description 一棵树上有n个节点,编号分别为1到n,每个节点都有一个权值w.我们将以下面的形式来要求你对这棵树完成一些操作: I. CHANGE u t : 把结点u的权值改为t II. QMAX u v: 询问从点u到点v的路径上的节点的最大权值 I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0koZ9b0.html" rel="bookmark">&lbrack;BZOJ1036&sol;ZJOI2008&rsqb;树的统计&lpar;Count&rpar;-树链剖分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Problem 树的统计 题目大意 一棵树上有n个节点,编号分别为1到n,每个节点都有一个权值w.我们将以下面的形式来要求你对这棵树完成一些操作: I. CHANGE u t : 把结点u的权值改为t II. QMAX u v: 询问从点u到点v的路径上的节点的最大权值 III. QSUM u v: 询问从点u到点v的路径上的节点的权值和 注意:从点u到点v的路径上的节点包括u和v本身 So Lazy No Solution 裸的树链剖分,题解一搜一大把.就连这个都炸了几次.我太菜了... AC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NJWn24.html" rel="bookmark">【BZOJ1036】【ZJOI2008】树的统计Count 树链剖分裸题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题解:裸的,没什么好说的. 树链剖分不会的先理解一下重链轻链,然后直接扒我代码理解就行了. 贴代码: #include &lt;cstdio&gt; #include &lt;cstring&gt; #include &lt;iostream&gt; #include &lt;algorithm&gt; #define N 30100 #define inf 0x3f3f3f3f using namespace std; struct KSD { int u,v,next; }e[N&lt;&lt;1];			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/E3w1BlM.html" rel="bookmark" class="title">进程之间通信之有名管道、无名管道（pipe），笔记</a>
					<div>
						             进程之间的通信作用1.数据传输   :一个进程需要将他的数据传到其他进程2.资源共享3.进程通知事件4.进程控制 :有些进程完全控制另一个进程的执行,如调试状态啊我们需要完全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/D3OWm93.html" rel="bookmark" class="title">html5 绘制图片  drawImage</a>
					<div>
						要在绘图上下文中绘制图片,可以使用 drawImage 方法.该方法有三种不同的参数:? drawImage(image,dx,dy)? drawImage(image,dx,dy,dw,dh)? d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RBqZy0.html" rel="bookmark" class="title">C&num; 排序列表（SortedList）</a>
					<div>
						SortedList类代表了一系列按键来排序的键/值对.这些键值可以通过键和索引来访问. using System; using System.Collections; namespace Colle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGEL6y3.html" rel="bookmark" class="title">cocos2dx&lpar;3&period;X&rpar;中使用shader</a>
					<div>
						原文链接:http://blog.csdn.net/xufeng0991/article/details/47256583 一 shader的基本概念 1 什么是shader shader即着色器,就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPX2p0.html" rel="bookmark" class="title">1、启动oracle的步骤</a>
					<div>
						1.启动oracle的步骤 Linux下启动oracle分为以下两步: 1.1.启动lsnrctl监听. 1.2.启动数据库实例. 2.启动oracle监听 首先登陆服务器,切换到oracle用户.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Momxwk3.html" rel="bookmark" class="title">比微信落后了 Facebook Messenger上线移动支付</a>
					<div>
						Facebook在周一为旗下的独立聊天应用Messenger增加移动支付功能.用户可以直接在app内完成支付,而不必再跳转到第三方网站. 随着移动支付浪潮的来临,这一动作显示了Facebook要将其1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aARbQ0.html" rel="bookmark" class="title">转：史上最全最强SpringMVC详细示例实战教程</a>
					<div>
						一.SpringMVC基础入门,创建一个HelloWorld程序 1.首先,导入SpringMVC需要的jar包. 2.添加Web.xml配置文件中关于SpringMVC的配置 1 &lt;!--co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02LW8n4.html" rel="bookmark" class="title">auto-extending data file &period;&sol;ibdata1 is of a different size   auto-extending data file &period;&sol;ibdata1 is of a different size</a>
					<div>
						160315 17:08:19 mysqld_safe Starting mysqld daemon with databases from /usr/local/mysql/data160315 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lWXREM.html" rel="bookmark" class="title">RMAN&lowbar;学习笔记2&lowbar;RMAN配置和监控</a>
					<div>
						2014-12-23 Created By BaoXinjian 转载乐沙弥大神 一.通道的概念 一个通道代表一个到设备(磁盘或磁带)的数据流并且在目标数据库或辅助数据库实例上产生一个相应的服务器会话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/498WE13.html" rel="bookmark" class="title">ThreadPoolExecutor 分析</a>
					<div>
						一.从用法入手 Creates a thread pool that creates new threads as needed, but will reuse previously construc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXLneVM.html" rel="bookmark" class="title">主从复制实验步骤和半同步的实现方法</a>
					<div>
						实验环境: 主节点IP:172.16.2.16 从节点IP:172.16.2.17 MariaDB的版本是5.5.36,使用二进制方式安装.已安装完成. 实验目的: 了解主从复制,各个节点的工作方式. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jyg5b3.html" rel="bookmark" class="title">web容器调用Filter和Servlet顺序学习</a>
					<div>
						web容器调用Filter和Servlet顺序学习   一直对Filter和Servlet在哪里被web容器调用迷惑,后查看tomcat源码,揭开了其面纱.1. 下面是一个简单的时序图: 2. 对上面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoaPwy3.html" rel="bookmark" class="title">python 类的基础知识</a>
					<div>
						1.创建类 1 class Book(object): 2 def __init__(self,b): #定义构造器 3 self.name=b 4 print self.name 5 def upd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5VrD3.html" rel="bookmark" class="title">web安全认证机制知多少</a>
					<div>
						如今web服务随处可见,成千上万的web程序被部署到公网上供用户访问,有些系统只针对指定用户开放,属于安全级别较高的web应用,他们需要有一种认证机制以保护系统资源的安全,本文将探讨五种常用的认证机制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWqkKa3.html" rel="bookmark" class="title">理解restful 架构 &amp;amp&semi;&amp;amp&semi; RESTful API设计指南</a>
					<div>
						restful是前端和后端接口中都会使用的设计思想. 网站即软件,我们也常说的webapp,这种互联网软件采用的是“客户端/服务器”模式,建立在分布式体系上. 网站开发,也可以完全采用软件开发的模式, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/351Q7X3.html" rel="bookmark" class="title">有状态无状态回话bean</a>
					<div>
						1.有状态(Stateful) 可以在不同的方法调用间保持针对各个客户端的状态 与客户端的联系必须被维持,这样做开销要大一些 有状态也可以这样理解,它存在存储能力,也就是说至少有一个属性来标识它目前的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49vW61M.html" rel="bookmark" class="title">Split字符串分割函数</a>
					<div>
						非常非常常用的一个函数Split字符串分割函数. Dim myTest myTest = &quot;aaa/bbb/ccc/ddd/eee/fff/ggg&quot; Dim arrTest arr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bLrzv4.html" rel="bookmark" class="title">Effective C&plus;&plus; Item 9 绝不在构造和析构过程中调用virtual函数</a>
					<div>
						本文为senlie原创,转载请保留此地址:http://blog.csdn.net/zhengsenlie 经验:在构造和析构期间不要调用virtual函数,因为这类调用从不下降至derived cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vAn790.html" rel="bookmark" class="title">【代码审计】XDCMS 报错注入</a>
					<div>
						审计的都是之前很老的一些的CMS,把学习的过程分享出来,如果有正在和我一起学习的兄弟们,希望看到文章之后会有所收获 ------------------------------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgmaOn3.html" rel="bookmark" class="title">使用rsync &plus; inotify 实现多台游戏服代码自动实时同步</a>
					<div>
						一 应用场景描述 在LB后端有多台游戏服运行PHP代码,每台服务器的环境部署一样,PHP代码一样.现在有时需要更改游戏配置文件,如更改各个区服的开服状态等.登陆到每台服务器去更改相应的文件会比较繁琐, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
